;;;  -*- lexical-binding: t; -*-

(setq doom-theme 'kaolin-valley-dark)

;; Fonts
(setq doom-font (font-spec :family "Go Mono" :size 12))
(setq doom-big-font (font-spec :family "Go Mono" :size 17))

(set-frame-parameter nil 'internal-border-width 20) ; applies to the current frame
;; or
(add-to-list 'default-frame-alist '(internal-border-width . 20)) ; applies to all future frames

;; setup transparency ... this might get annoying
(set-frame-parameter (selected-frame) 'alpha '(100 . 100))
(add-to-list 'default-frame-alist '(alpha . (100 . 100)))

;; Dash highlighting
(after! dash (dash-enable-font-lock))
